Open CASCADE Technology: IFSelect_SelectCombine Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
IFSelect_SelectCombine Class Reference

A SelectCombine type Selection defines algebraic operations between results of several Selections It is a deferred class : sub-classes will have to define precise what operator is to be applied. More...

`#include <IFSelect_SelectCombine.hxx>`

Inheritance diagram for IFSelect_SelectCombine:
[legend]

## Public Member Functions
Standard_Integer | NbInputs () const
| Returns the count of Input Selections. More...
Handle< IFSelect_Selection > | Input (const Standard_Integer num) const
| Returns an Input Selection, given its rank in the list. More...
Standard_Integer | InputRank (const Handle< IFSelect_Selection > &sel) const
| Returns the rank of an input Selection, 0 if not in the list. Most generally, its value is meaningless, except for testing the presence of an input Selection : More...
void | Add (const Handle< IFSelect_Selection > &sel, const Standard_Integer atnum=0)
| Adds a Selection to the filling list By default, adds it to the end of the list A Positive rank less then NbInputs gives an insertion rank (InsertBefore : the new <atnum>th item of the list is <sel>) More...
Standard_Boolean | Remove (const Handle< IFSelect_Selection > &sel)
| Removes an input Selection. Returns True if Done, False, if <sel> is not an input for <me> More...
Standard_Boolean | Remove (const Standard_Integer num)
| Removes an input Selection, given its rank in the list Returns True if Done, False if <num> is out of range. More...
void | FillIterator (IFSelect_SelectionIterator &iter) const
| Puts in an Iterator the Selections from which "me" depends That is to say, the list of Input Selections. More...
Public Member Functions inherited from IFSelect_Selection
virtual Interface_EntityIterator | RootResult (const Interface_Graph &G) const =0
| Returns the list of selected entities, computed from Input given as a Graph. Specific to each class of Selection Note that uniqueness of each entity is not required here This method can raise an exception as necessary. More...
Interface_EntityIterator | UniqueResult (const Interface_Graph &G) const
| Returns the list of selected entities, each of them beeing unique. Default definition works from RootResult. According HasUniqueResult, UniqueResult returns directly RootResult, or build a Unique Result from it with a Graph. More...
virtual Interface_EntityIterator | CompleteResult (const Interface_Graph &G) const
| Returns the list of entities involved by a Selection, i.e. UniqueResult plus the shared entities (directly or not) More...
virtual TCollection_AsciiString | Label () const =0
| Returns a text which defines the criterium applied by a Selection (can be used to be printed, displayed ...) Specific to each class. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Member Functions
| IFSelect_SelectCombine ()
| Defines an empty SelectCombine. More...
virtual Standard_Boolean | HasUniqueResult () const
| Returns always True, because RootResult gives a Unique list. More...

## Detailed Description

A SelectCombine type Selection defines algebraic operations between results of several Selections It is a deferred class : sub-classes will have to define precise what operator is to be applied.

## Constructor & Destructor Documentation

IFSelect_SelectCombine::IFSelect_SelectCombine | ( |  | ) |
| protected

Defines an empty SelectCombine.

## Member Function Documentation

void IFSelect_SelectCombine::Add | ( | const Handle< IFSelect_Selection > & | sel,
|  | const Standard_Integer | atnum = `0`
| ) |  |

Adds a Selection to the filling list By default, adds it to the end of the list A Positive rank less then NbInputs gives an insertion rank (InsertBefore : the new <atnum>th item of the list is <sel>)

void IFSelect_SelectCombine::FillIterator | ( | IFSelect_SelectionIterator & | iter | ) | const
| virtual

Puts in an Iterator the Selections from which "me" depends That is to say, the list of Input Selections.

Implements IFSelect_Selection.

virtual Standard_Boolean IFSelect_SelectCombine::HasUniqueResult | ( |  | ) | const
| protectedvirtual

Returns always True, because RootResult gives a Unique list.

Reimplemented from IFSelect_Selection.

Handle< IFSelect_Selection > IFSelect_SelectCombine::Input | ( | const Standard_Integer | num | ) | const

Returns an Input Selection, given its rank in the list.

Standard_Integer IFSelect_SelectCombine::InputRank | ( | const Handle< IFSelect_Selection > & | sel | ) | const

Returns the rank of an input Selection, 0 if not in the list. Most generally, its value is meaningless, except for testing the presence of an input Selection :

- == 0 if <sel> is not an input for <me>
- > 0 if <sel> is an input for <me>

Standard_Integer IFSelect_SelectCombine::NbInputs | ( |  | ) | const

Returns the count of Input Selections.

Standard_Boolean IFSelect_SelectCombine::Remove | ( | const Handle< IFSelect_Selection > & | sel | ) |

Removes an input Selection. Returns True if Done, False, if <sel> is not an input for <me>

Standard_Boolean IFSelect_SelectCombine::Remove | ( | const Standard_Integer | num | ) |

Removes an input Selection, given its rank in the list Returns True if Done, False if <num> is out of range.

The documentation for this class was generated from the following file:

- IFSelect_SelectCombine.hxx